<?php

namespace backend\controllers;

use common\base\Controller;
use Yii;

class TerminalController extends Controller
{
    public function actionIndex()
    {
		if (!empty(Yii::$app->request->isPost)) {
			$postDoc = Yii::$app->request->post('document');
			Yii::$app->terminal->setAutoProcessingConfig('fixSender', empty($postDoc['out']['fixSender']) ? false : true);
			
			
			Yii::$app->session->setFlash('info', Yii::t('app', 'Terminal configuration saved'));
			
			return $this->refresh();
		}
		
		
        return $this->render('index', [
			'autoProcessingConfig'		=> Yii::$app->terminal->autoProcessingConfig,
		]);
    }
	
	public function actionAutoProcessing()
	{
		$procConfig = Yii::$app->terminal->autoProcessingConfig;

		if (Yii::$app->request->isPost) {
			try {
				if (empty($procConfig['started'])) {
					Yii::$app->terminal->autoProcessingStart([
						'privatePassword'	=> Yii::$app->request->post('privatePassword'),
					]);				
					Yii::$app->session->setFlash('info', Yii::t('app', 'Auto processing started'));
				} else {
					Yii::$app->terminal->autoProcessingStop();
					Yii::$app->session->setFlash('warning', Yii::t('app', 'Auto processing stopped'));
				}
			} catch (yii\base\Exception $e) {
				
				
				Yii::$app->session->setFlash('error', Yii::t('app', 'Error: {message}', ['message' => $e->getMessage()]));
			}
			
			
			return $this->refresh();
		}
		
		return $this->render('auto-processing', [
			'config'	=> $procConfig 
		]);
	}
}