<?php

use yii\helpers\Html;
use kartik\field\FieldRange;
use kartik\widgets\ActiveForm;
use kartik\datecontrol\DateControl;

/* @var $this yii\web\View */
/* @var $model common\models\search\Document */
/* @var $form yii\widgets\ActiveForm */
?>


<div class="search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>
	
	<?= $form->field($model, 'statusGroup')->checkboxList(
		$model->getStatusGroupLabels()
	)?>
	
	<div class="form-group">
		<?=$form->field($model, 'showTechnical')->checkbox() ?>
	</div>
	
	
    <?= FieldRange::widget([
		'form' => $form,
		'model' => $model,
//		'useAddons' => false,
		'label' => 'Дата регистрации документа',
		'attribute1' => 'dateInFrom',
		'attribute2' => 'dateInBefore',
//		'type' => FieldRange::INPUT_DATE,
		'type' => FieldRange::INPUT_WIDGET,
		'widgetClass' => DateControl::classname(),
		'widgetOptions1' => [
			'saveFormat' => 'Y-m-d'
		],
		'widgetOptions2' => [
			'saveFormat' => 'Y-m-d'
		],
	]); ?>
	

    <div class="form-group">
		<?= Html::submitButton(Yii::t('app', 'Искать'), ['class' => 'btn btn-primary']) ?>
		<?php //echo Html::resetButton(Yii::t('app', 'Сбросить'), ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
