<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel common\models\search\Document */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Documents');
//$this->title = 'Журнал документов';
$this->params['breadcrumbs'][] = $this->title;
$filterInputOptions = [
	'maxLength' => 64
];
?>
<div class="index">

    <h1><?= Html::encode($this->title) ?></h1>
	<?php echo $this->render('_search', ['model' => $searchModel]); ?>

	<?=
	GridView::widget([
		'emptyText'		=> Yii::t('app', 'По выбранным условиям документов не найдено'),
		'summary'		=> Yii::t('app', 'Показано с {begin} по {end} из {totalCount} найденных'),
		'dataProvider'	=> $dataProvider,
		'filterModel'	=> $searchModel,
		'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
			['attribute' => 'id', 'filterInputOptions' => $filterInputOptions],
			['attribute' => 'typeCode', 'enableSorting' => false, 'filterInputOptions' => $filterInputOptions],
			['attribute' => 'sender', 'filterInputOptions' => $filterInputOptions],
			['attribute' => 'uuid', 'enableSorting' => false, 'filterInputOptions' => $filterInputOptions],
			['attribute' => 'rcpt', 'enableSorting' => false, 'filterInputOptions' => $filterInputOptions],
			[
				'attribute' => 'statusLabel', 
				'enableSorting' => false,
				'filterInputOptions' => $filterInputOptions,
				'format' => 'html',
				'value'	=> function ($data, $params) {
					return "<span title=\"Status: {$data->status} \">{$data->statusLabel}</span>";
				}],
			//['attribute' => 'errorId', 'filter' => false, 'enableSorting' => false, 'filterInputOptions' => $filterInputOptions],
			['attribute' => 'dateIn', 'format' => 'datetime', 'filter' => false, 'filterInputOptions' => $filterInputOptions],
			[
				'class' => 'yii\grid\ActionColumn',
				'template' => '{view}'
			],
		],
	]);
	?>

</div>
