<?php

use common\models\search\Document;
use yii\data\ActiveDataProvider;
use yii\grid\GridView;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\web\View;

/* @var $this View */
/* @var $searchModel Document */
/* @var $dataProvider ActiveDataProvider */

$this->title = 'Ошибочные исходящие документы';
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Documents'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="index">

    <h1><?= Html::encode($this->title) ?></h1>
	<div class="panel">
		<a href="<?=Url::toRoute('')?>" class="btn btn-default">Обновить таблицу</a>
	</div>
	<?=Html::beginForm()?>
		<?=
		GridView::widget([
			'emptyText'		=> Yii::t('app', 'По выбранным условиям документов не найдено'),
			'summary'		=> Yii::t('app', 'Показано с {begin} по {end} из {totalCount} найденных'),
			'dataProvider'	=> $dataProvider,
			'columns' => [
				[
					'class' => 'yii\grid\CheckboxColumn',
				],
				'id',
				['attribute' => 'typeCode', 'enableSorting'=>false],
				['attribute' => 'sender'],
				['attribute' => 'uuid', 'enableSorting'=>false],
				['attribute' => 'rcpt', 'enableSorting'=>false],
				[
					'attribute' => 'statusLabel',
					'enableSorting'=>false,
					'format'	=> 'html',
					'value'	=> function ($data, $params) {
						return "<span title=\"Status: {$data->status} \">{$data->statusLabel}</span>";
					}
				],
				['attribute' => 'statusInnerLabel', 'enableSorting'=>false],
				['attribute' => 'dateIn', 'format' => 'datetime','filter'=>false],
				[
					'class' => 'yii\grid\ActionColumn',
					'template' => '{view}'
				],
			],
		]);
		?>
		<div class="form-group">
			<button type="submit" class="btn btn-default">Исправить и отправить выбранные</button>
		</div>
	<?=Html::endForm()?>

</div>
