<?php

use common\models\Document;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\web\View;
use yii\widgets\DetailView;

/* @var $this View */
/* @var $model Document */

$this->title = Yii::t('app', 'View document') . ' #' .$model->id;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Documents'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="document-view">

    <h1><?= Html::encode($this->title) ?></h1>
	
    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'uuid',
            'typeCode',
            'sender',
            'rcpt',
            'status'	=> [
				'attribute' => 'statusLabel',
			],
			'statusInner'	=> [
				'attribute' => 'statusInnerLabel',
			],
            'errorId',
            'absId',
            'signAlgo',
            'ref',
            ['attribute' => 'dateIn', 'format' => 'datetime'],
			['attribute' => 'dateOut', 'format' => 'datetime'],
            'pathSource',
            'path',
        ],
    ]) ?>
	
	<?php if (Document::STATUS_INNER_SENDER_INVALID == $model->statusInner): ?>
		<a href="<?= Url::toRoute(['document/update', 'id' => $model->id, 'action' => 'fixSender'])?>" class="btn btn-danger">Исправить адрес отправителя</a>
	<?php elseif (Document::STATUS_INNER_REGISTERED == $model->statusInner): ?>
		<a href="<?= Url::toRoute(['document/update', 'id' => $model->id, 'action' => 'sign'])?>" class="btn btn-info">Подписать</a>
	<?php elseif (
			(Document::STATUS_INNER_SIGNED == $model->statusInner)
			&& (Document::STATUS_NOT_READY == $model->status) 
		): ?>
		<h3><?=Yii::t('app', 'Подписанный документ')?></h3>
		<div class="form-group">
			<textarea class="form-control" rows="5"><?=Html::encode($model->resultFileContent)?></textarea>
		</div>
		<p>
			<a href="<?= Url::toRoute(['document/update', 'id' => $model->id, 'action' => 'send'])?>" class="btn btn-info">Отправить</a>
		</p>
	<?php endif ?>
		
</div>

<?php if ($model->swtDocument): ?>
	<div class="mt20 panel panel-default">
		<div class="panel-heading"><?=Yii::t('app', 'Содержимое файла')?></div>
		<div class="panel-body">
			<?php
				foreach ($model->swtDocument->data as $field => $value) {
					echo "<div><label>{$field}</label><pre>{$value}</pre></div>";
				}
			?>
		</div>
	</div>
<?php endif?>