<?php
use backend\assets\AppAsset;
use yii\helpers\Html;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;

/* @var $this \yii\web\View */
/* @var $content string */

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="<?= Yii::$app->language ?>">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=10;IE=11"/>
    <meta charset="<?= Yii::$app->charset ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
    <?php $this->beginBody() ?>
	<!--[if lte IE 9]>
	<p class="alert alert-danger" style="z-index: 9999; position: absolute; top: 0px; left: 0px; width: 100%;">
		Ваш браузер устарел или работает в режиме совместимости со старой версии. В данном режиме web-приложение может
		работать некорректно.<br/>
		<a href="http://windows.microsoft.com/ru-ru/internet-explorer/download-ie" target="_blank">Обновите Ваш
			браузер</a> или <b><i>отключите режим совместимости</i></b>.
	</p>
	<![endif]-->
    <div class="wrap">
        <?php
            NavBar::begin([
                'brandLabel'=> '<img src="/img/logo.png">',
                'brandUrl'	=> null,
                'options'	=> [
                    'class'		=> 'navbar-inverse navbar-fixed-top',
                ],
            ]);
		
		$menuItems = Yii::$app->menu->items;

		if (Yii::$app->user->isGuest) {
			$menuItems[] = ['label' => 'Login', 'url' => ['/site/login']];
		} else {
			$menuItems[] = [
				'label' => 'Logout (' . Yii::$app->user->identity->username . ')',
				'url' => ['/site/logout'],
				'linkOptions' => ['data-method' => 'post']
			];
		}
		echo \kartik\nav\NavX::widget([
                'options' => ['class' => 'navbar-nav navbar-right'],
                'items' => $menuItems,
            ]);
            NavBar::end();
        ?>

        <div class="container">
        <?php echo Breadcrumbs::widget([
			'options'	=> ['class'=> 'breadcrumb mt20'],
			'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : []
		]) ?>
		<?= \common\widgets\Alert::widget() ?>
        <?= $content ?>
        </div>
    </div>

    <footer class="footer">
        <div class="container">
			<p class="pull-left"> </p>
			<p class="pull-right"><?=date('Y')?> © ЗАО «КиберПлат», Все права защищены.</p>
        </div>
    </footer>

    <?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
