<?php
/**
 * @var $this yii\web\View
 * @var $form yii\widgets\ActiveForm
 * @var $model \common\models\Login
 */

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use common\widgets\signer\FormSigner;

$this->title = Yii::t('app','Вход в систему');
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <div class="row">
        <div class="col-lg-5">
			<?php $form = ActiveForm::begin(['id' => 'login-form']); ?>
			<?= $form->errorSummary($model) ?>

			<div style="display: none">
				<?= $form->field($model, 'identity')->input('text', ['id' => 'identity']) ?>
			</div>
			<div class="form-group">
				<?= Html::submitButton('Войти в систему', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
			</div>
			
			<?=FormSigner::widget([
				'form'	=> $form,
				'model' => $model,
				'error' => [
					'emptyCertField' => 'Выберите сертификат для аутентификации'
				]
			])?>
			
			<?php ActiveForm::end(); ?>
        </div>
    </div>
</div>
