<?php
namespace common\base;

use Yii;
use yii\web\Controller as YiiController;
use yii\web\ForbiddenHttpException;
use yii\web\MethodNotAllowedHttpException;
use yii\web\UnauthorizedHttpException;

class Controller extends YiiController
{

	public function beforeAction($action)
	{
		/**
		 * проверяем доступ
		 * принцип: все что не разрешено - запрещено
		 */
		$permission = $action->controller->id . '/' . $action->id;
		if (!Yii::$app->user->can($permission)) {
			if (Yii::$app->user->isGuest)
				throw new UnauthorizedHttpException();
			else
				throw new ForbiddenHttpException();
		}

		return parent::beforeAction($action);
	}
}