<?php
return [
	'timeZone'	=> 'Europe/Moscow',
	'vendorPath' => dirname(dirname(__DIR__)) . '/vendor',
	'aliases'	=> [
		'@keyStorage'	=> '@storage/keys',
		'@certStorage'	=> '@storage/certs',
		'@docStorage'	=> '@storage/docs',
	],
    'components' => [
		'i18n' => [
			'translations' => [
				'app*' => [
					'class' => 'yii\i18n\PhpMessageSource',
					'basePath' => '@common/messages',
					'fileMap' => [
						'app' => 'app.php',
						'app/error' => 'error.php',
					],
				],
			],
		],
		'redis' => [
			'class' => 'yii\redis\Connection',
			'hostname' => 'localhost',
			'port' => 6379,
			'database' => 0,
		],
		'terminal'	=> [
			'class' => 'common\components\Terminal',
			'configPath'	=> '@common/config/terminal.yml',
		],
		'urlManager'	=> [
			'enablePrettyUrl'	=> true,
			'showScriptName'	=> false,
			'rules'	=> [
				''	=> 'site/index'
			]
		],
		'cache' => [
			'class' => 'yii\caching\ApcCache',
		],
		'authManager' => [
			'class' => 'yii\rbac\PhpManager',
			'defaultRoles' => ['nobody', 'tester'],
			'ruleFile' => '@common/config/rbac/rules.php',
			'itemFile' => '@common/config/rbac/items.php',
			'assignmentFile' => '@common/config/rbac/assignments.php',
		],
	],
	'modules' => [
		'certManager'	=> 'common\modules\certManager\Module',
		'docManager' => 'common\modules\docManager\Module',
	]
];

