<?php

namespace common\models;
use common\models\User as User;
use common\models\UserHasDocumentType as UserHasDocumentType;
use common\models\Document as Document;

use Yii;

/**
 * @inheritdoc
 */
class DocumentType extends \common\models\base\DocumentType {

	/**
	 * @return \yii\db\ActiveQuery
	 */
	public function getDocuments() {
		return $this->hasMany(Document::className(), ['typeCode' => 'code']);
	}

	/**
	 * @return \yii\db\ActiveQuery
	 */
	public function getUserHasDocumentTypes() {
		return $this->hasMany(UserHasDocumentType::className(), ['documentTypeId' => 'id']);
	}

	/**
	 * @return \yii\db\ActiveQuery
	 */
	public function getUsers() {
		return $this->hasMany(User::className(), ['id' => 'userId'])->viaTable('{userHasDocumentType}', ['documentTypeId' => 'id']);
	}

}
