<?php

namespace common\models\base;

use Yii;

/**
 * @property integer $id
 * @property integer $userId
 * @property string $fingerprint
 * @property string $path
 * @property string $state
 * @property integer $validUndo
 * @property integer $validTill
 *
 * @property User $user
 */
class UserHasCert extends \yii\db\ActiveRecord
{

	/**
	 * @inheritdoc
	 */
	public static function tableName() {
        return 'userHasCert';
	}

	/**
	 * @inheritdoc
	 */
	public function rules() {
		return [
			[['userId', 'path', 'state'], 'required'],
			[['userId', 'validUndo', 'validTill'], 'integer'],
			[['fingerprint'], 'string', 'max' => 64],
			[['path'], 'string', 'max' => 255],
			[['state'], 'string', 'max' => 16],
			[['fingerprint'], 'unique']
		];
	}

	/**
	 * @inheritdoc
	 */
	public function attributeLabels() {
		return [
			'id' => Yii::t('app', 'ID'),
			'userId' => Yii::t('app', 'User ID'),
			'fingerprint' => Yii::t('app', 'Fingerprint'),
			'path' => Yii::t('app', 'Path'),
			'state' => Yii::t('app', 'State'),
			'validUndo' => Yii::t('app', 'Valid Undo'),
			'validTill' => Yii::t('app', 'Valid Till'),
		];
	}

	/**
	 * @return \yii\db\ActiveQuery
	 */
	public function getUser() {
		return $this->hasOne(User::className(), ['id' => 'userId']);
	}
}
