<?php

namespace common\modules\docManager\controllers;

use common\modules\docManager\models\SwtDocument;
use Yii;
use yii\helpers\FileHelper;
use yii\helpers\Url;
use yii\web\Controller;

class DefaultController extends Controller
{
	public $enableCsrfValidation = false;
	
    public function actionIndex()
    {
		return $this->render('index');
    }
	

	public function actionOutgoing($file = '', $action = '') 
	{
		$currentFile = $parsedData = [];
			
		if ($file = basename($file)) {
			if (Yii::$app->request->getIsPost())
			{

				if ( Yii::$app->request->post('action-process') ) {
					
					$document = $this->module->processOutgoingDoc($file);
					if (!empty($document)) {
						return $this->redirect(Url::toRoute(['document/view', 'id' => $document->id]));
					} else {
						Yii::$app->session->setFlash('warning', 'Process failed');
						return $this->redirect(Url::toRoute(['default/out-test', 'file'	=> $file,  'action' => null]));
					}
					
				} else if ( Yii::$app->request->post('action-parse') ) {
					
					$filepath = $this->module->getOutgoingPath() . '/' . $file;
					$parsedData = $this->module->mtParser->parse($filepath);
				}

			}
			
			$currentFile = [
				'name'	=> $file,
				'content'	=> file_get_contents($this->module->getOutgoingPath() . '/' . $file)
			];
		}
		
		$files = FileHelper::findFiles(
				$this->module->getOutgoingPath(), 
				[
					'except' => ['.*'],
					'recursive' => false
				]
			);
		
		return $this->render('outgoing', [
			'parsedData'	=> $parsedData,
			'currentFile'	=> $currentFile,
			'files'	=> $files
		]);
	}
}
