<?php

namespace common\modules\docManager\controllers;

use common\models\Document;
use yii\data\ActiveDataProvider;
use yii\web\Controller;

class DocumentController extends Controller
{
    public function actionIndex($page = 1)
    {
		$dataProvider = new ActiveDataProvider([
			'query' => Document::find(),
			'pagination' => [
				'page'	=> $page - 1,
			],
		]);

        return $this->render('index', [
			'dp'	=> $dataProvider
		]);
    }
	
	public function actionView($id)
	{
		$document = Document::findOne(['id'	=> $id]);
		
		$envelope = $this->module->getWorkingDoc($document->uuid);
		
		return $this->render('view', [
			'document'	=> $document,
			'envelope'	=> $envelope,
		]);
	}
}
