/*!
 * @copyright Copyright &copy; Kartik Visweswaran, Krajee.com, 2014
 * @version 1.0.0
 *
 * Date formatter utility library, that allows you to format date and 
 * time variables or Date objects using PHP DateTime format.
 * @see http://php.net/manual/en/function.date.php
 * 
 * Authors:
 *      [Kartik Visweswaran](https://github.com/kartik-v)
 *      [Enrica R](https://github.com/Erik-r)
 *
 * For more JQuery plugins visit http://plugins.krajee.com
 * For more Yii related demos visit http://demos.krajee.com
 */var defaultConfig={dateSettings:{longDays:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],shortDays:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],shortMonths:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],longMonths:["January","February","March","April","May","June","July","August","September","October","November","December"],meridiem:["AM","PM"]},separators:/[ \-+\/\.T:@]/g,validParts:/[djDlwSFmMnyYaAgGhHisU]/g},DateFormatter=function(e){var t=$.extend(!0,defaultConfig,e);this.dateSettings=t.dateSettings,this.separators=t.separators,this.validParts=t.validParts};DateFormatter.prototype={constructor:DateFormatter,parseDate:function(e,t){if(!e)return void 0;if(e instanceof Date)return e;if("number"==typeof e)return new Date(e);var a=this,s={date:null,year:null,month:null,day:null,dayOfWeek:null,hour:0,min:0,sec:0};if(e instanceof Date)return e;if("string"==typeof e){var r=t.match(a.validParts);if(!r||0===r.length)throw new Error("Invalid date format definition.");var n,o=e.replace(a.separators,"\x00").split("\x00"),i=!1,u=!1;for(n=0;n<o.length;n++)switch(r[n]){case"y":case"Y":2==o[n].length?s.year=parseInt((parseInt(o[n])<70?"20":"19")+o[n]):4==o[n].length&&(s.year=parseInt(o[n])),i=!0;break;case"m":case"n":case"M":case"F":var c;isNaN(o[n])?(c=a.dateSettings.shortMonths.indexOf(o[n]),c>-1&&(s.month=c+1),c=a.dateSettings.longMonths.indexOf(o[n]),c>-1&&(s.month=c+1)):parseInt(o[n])>=1&&parseInt(o[n])<=12&&(s.month=parseInt(o[n])),i=!0;break;case"d":case"j":parseInt(o[n])>=1&&parseInt(o[n])<=31&&(s.day=parseInt(o[n])),i=!0;break;case"g":case"h":var g=r.indexOf("a")>-1?r.indexOf("a"):r.indexOf("A")>-1?r.indexOf("A"):-1;if(g>-1){var d=o[g].toLowerCase==a.dateSettings.meridiem[0].toLowerCase?0:o[g].toLowerCase==a.dateSettings.meridiem[1].toLowerCase?12:-1;parseInt(o[n])>=1&&parseInt(o[n])<=12&&d>-1?s.hour=parseInt(o[n])+d-1:parseInt(o[n])>=0&&parseInt(o[n])<=23&&(s.hour=parseInt(o[n]))}else parseInt(o[n])>=0&&parseInt(o[n])<=23&&(s.hour=parseInt(o[n]));u=!0;break;case"G":case"H":parseInt(o[n])>=0&&parseInt(o[n])<=23&&(s.hour=parseInt(o[n])),u=!0;break;case"i":parseInt(o[n])>=0&&parseInt(o[n])<=59&&(s.min=parseInt(o[n])),u=!0;break;case"s":parseInt(o[n])>=0&&parseInt(o[n])<=59&&(s.sec=parseInt(o[n])),u=!0}return i===!0&&s.year&&s.month&&s.day?(s.date=new Date(s.year,s.month-1,s.day,s.hour,s.min,s.sec,0),s.date):u===!0?(s.date=new Date(0,0,0,s.hour,s.min,s.sec,0),s.date):!1}},guessDate:function(e,t){var a=this;if("string"!=typeof e)return e;var s=e.replace(a.separators,"\x00").split("\x00"),r=t.match(a.validParts),n=/^[djmn]/g;if(n.test(r[0])){var o,i=new Date,u=0;for(o=0;o<s.length;o++){switch(u=2,o){case 0:"m"==r[0]||"n"==r[0]?i.setMonth(parseInt(s[o].substr(0,2))-1):i.setDate(parseInt(s[o].substr(0,2)));break;case 1:"m"==r[0]||"n"==r[0]?i.setDate(parseInt(s[o].substr(0,2))):i.setMonth(parseInt(s[o].substr(0,2))-1);break;case 2:var c=i.getFullYear();s[o].length<4?(i.setFullYear(parseInt(c.toString().substr(0,4-s[o].length)+s[o])),u=s[o].length):(i.setFullYear=parseInt(s[o].substr(0,4)),u=4);break;case 3:i.setHours(parseInt(s[o].substr(0,2)));break;case 4:i.setMinutes(parseInt(s[o].substr(0,2)));break;case 5:i.setSeconds(parseInt(s[o].substr(0,2)))}s[o].substr(u).length>0&&s.splice(o+1,0,s[o].substr(u))}return i}},formatDate:function(e,t){var a=this;if("string"==typeof e&&(e=a.parseDate(e,t),0==e))return!1;if(e instanceof Date){var s,r,n="",a=this,o=/[djDlwSFmMnyYaAgGhHisU]/;for(s=0;s<t.length;s++)if(r=t.charAt(s),1==o.test(r))switch(r){case"j":n+=e.getDate();break;case"d":n+=(e.getDate()<=9?"0":"")+e.getDate();break;case"D":n+=a.dateSettings.shortDays[e.getDay()];break;case"l":n+=a.dateSettings.longDays[e.getDay()];break;case"w":n+=e.getDay();break;case"S":var i=e.getDay();n+=1==i||21==i||31==i?"st":2==i||22==i?"nd":3==i||23==i?"rd":"th";break;case"n":n+=e.getMonth()+1;break;case"m":n+=(e.getMonth()<=8?"0":"")+(e.getMonth()+1);break;case"F":n+=a.dateSettings.longMonths[e.getMonth()];break;case"M":n+=a.dateSettings.shortMonths[e.getMonth()];break;case"Y":n+=e.getFullYear();break;case"y":n+=e.getFullYear().substr(2);break;case"g":n+=e.getHours()%12+1;break;case"G":n+=e.getHours();break;case"h":n+=(e.getHours()%12<=8?"0":"")+(e.getHours()%12+1);break;case"H":n+=(e.getHours()<=9?"0":"")+e.getHours();break;case"a":case"A":n+=e.getHours<=12?a.dateSettings.meridiem[0]:a.dateSettings.meridiem[1];break;case"i":n+=(e.getMinutes()<=9?"0":"")+e.getMinutes();break;case"s":n+=(e.getSeconds()<=9?"0":"")+e.getSeconds();break;case"U":n+=e.getMilliseconds()/1e3}else n+=r;return n}}};